### Method

# Gio Subprocess get_if_signaled

since: 2.40

#### Declaration

    gboolean
    g_subprocess_get_if_signaled (
      GSubprocess* subprocess
    )

#### Description

Check if the given subprocess terminated in response to a signal.

This is equivalent to the system WIFSIGNALED macro.

It is an error to call this function before `g_subprocess_wait()` has returned.

Available since: 2.40

#### Return value

Type: `gboolean`

`TRUE` if the case of termination due to a signal.